<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE xsl:stylesheet>

<xsl:stylesheet 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
xmlns="http://www.w3.org/TR/REC-html40">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>

<xsl:param name="ont">no</xsl:param>

<xsl:template match="/">
	<xsl:element name="html">
		<xsl:element name="body">
			<xsl:element name="hr"/>
			<xsl:element name="h1">
				<xsl:text>EAC Record</xsl:text>
			</xsl:element>
			<xsl:element name="hr"/>
			<xsl:apply-templates select="//condesc"/>
			<xsl:element name="hr"/>			
			<xsl:apply-templates select="//eacheader"/>
			<xsl:element name="hr"/>
		</xsl:element>
	</xsl:element>
</xsl:template>

<!-- xsl:template match="*">
	<xsl:element name="font">
	<xsl:attribute name="color">red</xsl:attribute>
	<xsl:text>&lt;</xsl:text>
	<xsl:value-of select="local-name()"/>
	<xsl:text>&gt;</xsl:text>
	</xsl:element>
	<xsl:apply-templates/>
	<xsl:element name="br"/>
	<xsl:element name="font">
	<xsl:attribute name="color">red</xsl:attribute>
	<xsl:text>&lt;/</xsl:text>
	<xsl:value-of select="local-name()"/>
	<xsl:text>&gt;</xsl:text>
	</xsl:element>
	<xsl:element name="br"/>
</xsl:template -->

<!-- begin stylesheet -->


<xsl:template match="eacheader">
		<xsl:element name="h2">
		<xsl:text>Record Control Information</xsl:text>
	</xsl:element>
	<xsl:element name="p">
		<xsl:element name="b">
			<xsl:text>Record type: </xsl:text>
		</xsl:element>
		<xsl:choose>
			<xsl:when test="@type='p'">
				<xsl:text>personal name</xsl:text>
			</xsl:when>
			<xsl:when test="@type='f'">
				<xsl:text>family name</xsl:text>
			</xsl:when>
			<xsl:when test="@type='c'">
				<xsl:text>corporate name</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>record type error!!</xsl:text>
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:element>
	<xsl:element name="p">
		<xsl:element name="b">
			<xsl:text>Editorial status: </xsl:text>
		</xsl:element>
		<xsl:choose>
			<xsl:when test="@status='draft'">
				<xsl:text>draft</xsl:text>
			</xsl:when>
			<xsl:when test="@status='edited'">
				<xsl:text>edited</xsl:text>
			</xsl:when>
			<xsl:when test="@status='deleted'">
				<xsl:text>deleted</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>record status error!!</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:element>
	<xsl:if test="@langencoding">
		<xsl:element name="p">
			<xsl:element name="b">
				<xsl:text>Language encoding standard: </xsl:text>
			</xsl:element>
			<xsl:value-of select="@langencoding"/>
		</xsl:element>
	</xsl:if>
	<xsl:if test="@scriptencoding">
		<xsl:element name="p">
			<xsl:element name="b">
				<xsl:text>Script encoding standard: </xsl:text>
			</xsl:element>
			<xsl:value-of select="@scriptencoding"/>
		</xsl:element>
	</xsl:if>
	<xsl:if test="@dateencoding">
		<xsl:element name="p">
			<xsl:element name="b">
				<xsl:text>Date encoding standard: </xsl:text>
			</xsl:element>
			<xsl:value-of select="@dateencoding"/>
		</xsl:element>
	</xsl:if>
	<xsl:if test="@countryencoding">
		<xsl:element name="p">
			<xsl:element name="b">
				<xsl:text>Country encoding standard: </xsl:text>
			</xsl:element>
			<xsl:value-of select="@countryencoding"/>
		</xsl:element>
	</xsl:if>
	<xsl:if test="@ownerencoding">
		<xsl:element name="p">
			<xsl:element name="b">
				<xsl:text>Owner encoding standard: </xsl:text>
			</xsl:element>
			<xsl:value-of select="@ownerencoding"/>
		</xsl:element>
	</xsl:if>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="eacid">
	<xsl:element name="p">
		<xsl:element name="b">
			<xsl:text>Record identifier: </xsl:text>
		</xsl:element>
		<xsl:apply-templates/>
	</xsl:element>
</xsl:template>

<xsl:template match="languagedecl">
	<xsl:element name="p">
		<xsl:element name="b">
			<xsl:text>Language/Script of description: </xsl:text>
		</xsl:element>
		<xsl:if test="language[last()=1]">
			<xsl:value-of select="language"/>
		</xsl:if>
	</xsl:element>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="language">
	<xsl:if test="not(last()=1)">
					<xsl:element name="p">
		<xsl:attribute name="style">margin-left: 12px</xsl:attribute>
					<xsl:apply-templates/>
			</xsl:element>					
	</xsl:if>
</xsl:template>

<xsl:template match="ruledecl">
	<xsl:element name="p">
		<xsl:element name="b">
			<xsl:text>Descriptive rules: </xsl:text>
		</xsl:element>
		<xsl:if test="rule[last()=1]">
			<xsl:value-of select="rule"/>
		</xsl:if>
	</xsl:element>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="rule">
	<xsl:if test="not(last()=1)">
					<xsl:element name="p">
		<xsl:attribute name="style">margin-left: 12px</xsl:attribute>
					<xsl:apply-templates/>
			</xsl:element>					
	</xsl:if>
</xsl:template>

<xsl:template match="sourcedecl">
	<xsl:element name="p">
		<xsl:element name="b">
			<xsl:text>Source</xsl:text>
				<xsl:if test="*[last() > 1]">
					<xsl:text>s</xsl:text>
				</xsl:if>
				<xsl:text>: </xsl:text>
		</xsl:element>
		<xsl:if test="source[last()=1]">
			<xsl:value-of select="source"/>
		</xsl:if>
	</xsl:element>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="source">
	<xsl:if test="not(last()=1)">
					<xsl:element name="p">
		<xsl:attribute name="style">margin-left: 12px</xsl:attribute>
					<xsl:apply-templates/>
			</xsl:element>					
	</xsl:if>
</xsl:template>

<xsl:template match="mainhist">
	<xsl:element name="p">
		<xsl:element name="b">
			<xsl:text>Maintenance history: </xsl:text>
		</xsl:element>
	</xsl:element>
	<xsl:element name="table">
		<xsl:attribute name="cellspacing">10</xsl:attribute>
		<xsl:element name="tr">
			<xsl:element name="td">
				<xsl:element name="b">
					<xsl:text>Name</xsl:text>
				</xsl:element>
			</xsl:element>
			<xsl:element name="td">
				<xsl:element name="b">
					<xsl:text>Date</xsl:text>
				</xsl:element>
			</xsl:element>
			<xsl:element name="td">
				<xsl:element name="b">
					<xsl:text>Event</xsl:text>
				</xsl:element>
			</xsl:element>
		</xsl:element>
		<xsl:apply-templates/>
	</xsl:element>
</xsl:template>

<xsl:template match="mainevent">
	<xsl:element name="tr">
		<xsl:apply-templates/>
	</xsl:element>
</xsl:template>

<xsl:template match="mainevent/name | maindate | maindesc">
	<xsl:element name="td">
		<xsl:apply-templates/>
	</xsl:element>
</xsl:template>


<xsl:template match="condesc">
	<xsl:element name="h2">
		<xsl:text>Entity Description</xsl:text>
	</xsl:element>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="identity">
	<xsl:element name="h3">
		<xsl:text>Identity Section</xsl:text>
	</xsl:element>
	<xsl:if test="//*[@authorized]">
		<xsl:element name="p">
			<xsl:attribute name="style">margin-left: 12px</xsl:attribute>
			<xsl:text>Used: </xsl:text>
		</xsl:element>
	</xsl:if>
	<xsl:apply-templates select="//pershead[@authorized] | //corphead[@authorized]"/>
	<xsl:if test="//pershead[not(@authorized)] | //corphead[not(@authorized)]">
		<xsl:element name="p">
				<xsl:attribute name="style">margin-left: 12px</xsl:attribute>
				<xsl:text>Not used:</xsl:text>
		</xsl:element>
	</xsl:if>
	<xsl:apply-templates select="//pershead[not(@authorized)] | //corphead[not(@authorized)]"/>
	<xsl:apply-templates select="sourceref"/>
</xsl:template>

<xsl:template match="pershead[@authorized]">
	<xsl:element name="p">
		<xsl:attribute name="style">margin-left: 24px</xsl:attribute>
		<xsl:element name="b">
			<xsl:apply-templates/>
			<xsl:if test="following::nameadds">
				<xsl:text>, </xsl:text>
				<xsl:value-of select="following::nameadds/date"/>
			</xsl:if>
		</xsl:element>
	</xsl:element>
</xsl:template>

<xsl:template match="corphead[@authorized]">
	<xsl:element name="p">
		<xsl:attribute name="style">margin-left: 24px</xsl:attribute>
		<xsl:element name="b">
			<xsl:apply-templates/>
			<xsl:if test="following::nameadds">
				<xsl:choose>
				<xsl:when test="@languagecode='eng' and
												following::nameadds[@languagecode='eng']/date">
					<xsl:text> (</xsl:text>
						<xsl:value-of select="following::nameadds[@languagecode='eng']/date"/>
					<xsl:text>)</xsl:text>
				</xsl:when>
				<xsl:when test="@languagecode='fre' and
												following::nameadds[@languagecode='fre']/date">
					<xsl:text> (</xsl:text>
					<xsl:value-of select="following::nameadds[@languagecode='fre']/date"/>
					<xsl:text>)</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text> (</xsl:text>
					<xsl:value-of select="following::nameadds/date"/>
					<xsl:text>)</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
			</xsl:if>

			<xsl:if test="parent::corpgrp">
					<xsl:element name="font">
						<xsl:attribute name="style">font-variant:small-caps</xsl:attribute>
						<xsl:text> [</xsl:text>
						<xsl:value-of select="@languagecode"/>
						<xsl:text>]</xsl:text>
				</xsl:element>
			</xsl:if>

		</xsl:element>
	</xsl:element>
</xsl:template>

<xsl:template match="pershead[not(@authorized)] | corphead[not(@authorized)]">
	<xsl:element name="p">
			<xsl:attribute name="style">margin-left: 24px</xsl:attribute>
			<xsl:apply-templates/>
	</xsl:element>
</xsl:template>

<xsl:template match="sourceref">
	<xsl:element name="p">
		<xsl:attribute name="style">margin-left: 12px</xsl:attribute>
		<xsl:element name="b">
			<xsl:text>Sources of Information</xsl:text>
		</xsl:element>
	</xsl:element>
	<xsl:element name="p">
		<xsl:attribute name="style">margin-left: 24px</xsl:attribute>
		<xsl:value-of select="id(@sourceref)"/>
		
		<xsl:apply-templates/>
	</xsl:element>
</xsl:template>

<xsl:template match="part[.='Ontario. ']">
<xsl:choose>
	<xsl:when test="$ont='no'">
		<xsl:apply-templates/>
	</xsl:when>
	<xsl:otherwise>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>


</xsl:stylesheet>